
import functools
import jwt
from forum.models import UserModel
from config import secret,jwt_exp


#登录验证装饰器
def login_required_async(func):
    @functools.wraps(func)
    async def wrapper(self,*args,**kwargs):
        token = self.request.headers.get('token',None)
        if token:
            try:
                payload = jwt.decode(token,secret,algorithms = ['HS256'],leeway = jwt_exp,options={'verify_exp':True})
                email = payload.get('email') 
                user = await self.obj.get(UserModel,email = email)        
                self._user_email = email
                self._user_id = user.id 
                await func(self,*args,**kwargs)
            except Exception as e:
                pass
        else:
            return self.finish({'msg':'请登录','code':401})
    return wrapper